# -*- coding: utf-8 -*-

from openupgradelib import openupgrade as tools

from openerp import SUPERUSER_ID


@tools.migrate(use_env=True, uid=SUPERUSER_ID)
def migrate(env, installed_version):
    """Upgrade name for tables and models from account.tax.group"""
    if tools.table_exists(env.cr, "account_tax_category"):
        tools.rename_tables(env.cr, [("account_tax_category", "account_tax_group")])
        tools.rename_models(env.cr, [("account.tax.category", "account.tax.group")])
    tools.logged_query(
        env.cr,
        """
        DELETE from ir_ui_view v
        USING ir_model_data d
        WHERE v.id=d.res_id AND d.model='ir.ui.view' AND
        d.module='l10n_mx_account_tax_category' AND
        d.name IN (
            'view_account_invoice_tax_form_inh',
            'view_account_invoice_tree_inh'
        )
        """,
    )
