# -*- coding: utf-8 -*-

from openerp import api, fields, models


class AccountTaxGroup(models.Model):
    _name = "account.tax.group"

    name = fields.Char(size=64, required=True, help="Name for this group")
    code = fields.Char(size=32, required=True, help="Code for this group")
    active = fields.Boolean(help="Indicate if this category is active", default=True)
    category_ids = fields.One2many(
        "account.tax",
        "tax_category_id",
        "Group",
        help="Tax that belong of this category",
    )


class AccountTax(models.Model):
    _inherit = "account.tax"

    tax_category_id = fields.Many2one(
        "account.tax.group", "Tax Group", required=False, help="Group of this tax"
    )


class AccountTaxTemplate(models.Model):
    _inherit = "account.tax.template"

    tax_category_id = fields.Many2one(
        "account.tax.group", "Tax Group", required=False, help="Group of this tax"
    )

    @api.multi
    def _prepare_vals_tax(
        self, tax_template_to_tax, tax_code_template_ref, company_id
    ):
        res = super(AccountTaxTemplate, self)._prepare_vals_tax(
            tax_template_to_tax, tax_code_template_ref, company_id
        )
        res["tax_category_id"] = self.tax_category_id.id
        return res
