# -*- coding: utf-8 -*-

from openupgradelib import openupgrade as tools


@tools.migrate()
def migrate(cr, installed_version):
    if tools.table_exists(cr, "ir_sequence_approval"):
        # ir_sequence_approval is deprecated but
        # we need to save its values and match them with
        # the new code
        cr.execute(
            """
            select ir_sequence_approval.type as type_cfdi,
            account_journal.id
            from ir_sequence_approval
            inner join ir_sequence on
            ir_sequence.id = ir_sequence_approval.sequence_id
            inner join account_journal on
            account_journal.sequence_id = ir_sequence.id
            """
        )
        # Fetch result into a dictionary
        results = cr.dictfetchall()
        # Write in account_journal table type_cdfi
        for result in results:
            if "cfdi32" in result["type_cfdi"]:
                cr.execute(
                    """UPDATE account_journal SET sign_sat = True
                    WHERE id = {journal_id}
                    """.format(
                        journal_id=result["id"]
                    )
                )
                if tools.column_exists(cr, "account_journal", "type_cfdi"):
                    cr.execute(
                        """UPDATE account_journal SET type_cfdi = '{type_cfdi}'
                        WHERE id = {journal_id}""".format(
                            type_cfdi=result["type_cfdi"], journal_id=result["id"]
                        )
                    )

        # Delete ir_sequence_approval table
        cr.execute(
            """
            drop table if exists ir_sequence_approval
            """
        )

    cr.execute(
        """
        update ir_attachment_facturae_mx
        set type_attachment = 'account.invoice'
        """
    )
