# -*- coding: utf-8 -*-

from openupgradelib import openupgrade as tools

from openerp import SUPERUSER_ID


@tools.migrate(use_env=True, uid=SUPERUSER_ID)
def migrate(env, installed_version):
    if not tools.column_exists(env.cr, "cfdis_related_rel", "id"):
        env.cr.execute(
            "alter table cfdis_related_rel add column id serial"
        )

    # Recompute rfc_emisor for allow invoice cancelation with out problem
    cfdi = env["ir.attachment.facturae.mx"].search(
        [
            ("state", "in", ("signed", "done")),
            ("rfc_emisor", "=", False),
            ("cfdi_type", "=", "incoming"),
        ]
    )
    env.add_todo(env["ir.attachment.facturae.mx"]._fields["rfc_emisor"], cfdi)
    env["ir.attachment.facturae.mx"].recompute()
