# -*- coding: utf-8 -*-

import logging

from openerp import api, fields, models


_logger = logging.getLogger(__name__)


class AccountConfigSettings(models.TransientModel):
    _inherit = "account.config.settings"

    pac_ids = fields.Many2many(
        "params.pac", string="Pacs", related="company_id.pac_ids"
    )
    certificate_ids = fields.One2many(
        "res.company.facturae.certificate",
        string="Certificates",
        related="company_id.certificate_ids",
        help="Certificates configurated in this company",
    )
    certificate_id = fields.Many2one(
        comodel_name="res.company.facturae.certificate",
        string="Certificate Current",
        related="company_id.certificate_id",
        help="Serial Number of the  certificate active and inside of "
        "dates in this company",
    )
    fiel_id = fields.Many2one(
        "res.company.facturae.fiel",
        string="Fiel Current",
        related="company_id.fiel_id",
        help="Serial number of the fiel active and inside of dates in" "this company",
    )
    fiel_ids = fields.One2many(
        "res.company.facturae.fiel",
        string="Fiels",
        related="company_id.fiel_ids",
        help="Fiels configurated in this company",
    )
    module_l10n_mx_facturae_validate_cfdi = fields.Boolean()
    group_show_fiel = fields.Boolean(
        "Data for FIEL",
        group="account.group_account_user",
        implied_group="l10n_mx_ir_attachment_facturae.group_download_cfdi",
    )

    @api.multi
    @api.onchange("module_l10n_mx_facturae_validate_cfdi")
    def _onchange_module_l10n_mx_facturae_validate_cfdi(self):
        for record in self:
            if not record.module_l10n_mx_facturae_validate_cfdi:
                record.group_show_fiel = False
