# -*- coding: utf-8 -*-

# Lista con los mensajes de respuesta de cancelacion pendiente de los PAC
wait_cancel = ["En proceso", "211"]  # Finkok, xpd  # Solucion factible

negation_cancel = [
    "no_cancelable",  # Finkok
    "213",  # Solucion factible
    "204",  # Solucion factible
    "Vigente",  # xpd'
]

cfdi_not_found = [
    "No encontrado",
    # solucion factible
    "702",
]


class PacAnswer(object):
    """This class is use to homogenize the PAC's answers"""

    def __init__(self, uuid, estatus):
        self.uuid = uuid
        self.estatus = estatus


class PacCancelAnswer(PacAnswer):
    """This class is use to homogenize the PAC's cancel answer"""

    def __init__(self, uuid, estatus, estatus_cancelacion):
        PacAnswer.__init__(self, uuid, estatus)
        self.estatus_cancelacion = estatus_cancelacion

    def check_cancel_status(self):
        if self.estatus_cancelacion in wait_cancel:
            cancelacion = None
        elif self.estatus_cancelacion in negation_cancel:
            cancelacion = False
        else:
            cancelacion = True
        return cancelacion


class PacConsultAnswer(PacCancelAnswer):
    """This class is use to homogenize the PAC's consult answer"""

    def __init__(self, uuid, estatus, estatus_cancelacion):
        PacCancelAnswer.__init__(self, uuid, estatus, estatus_cancelacion)

    def check_cancel_status(self):
        if self.estatus_cancelacion in (wait_cancel + cfdi_not_found) or self.estatus in cfdi_not_found:
            cancelacion = None
        elif self.estatus in negation_cancel:
            cancelacion = False
        else:
            cancelacion = True
        return cancelacion
